Package org.eclipse.remote.core.exception

## Class ConnectionExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.remote.core.exception.RemoteConnectionException
        - - org.eclipse.remote.core.exception.ConnectionExistsException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ConnectionExistsException
    extends RemoteConnectionException

Thrown when trying to add a connection with the same name as an existing connection, or when trying to rename a connection to the same name as an existing connection.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConnectionExistsException​(java.lang.String message)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionExistsException

    public ConnectionExistsException​(java.lang.String message)